<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// New Version information
db_query("UPDATE {$db_prefix}settings SET `value` = '3.0' WHERE `variable` = 'shopVersion'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}settings SET `value` = '18th January 2007' WHERE `variable` = 'shopDate'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}settings SET `value` = '12' WHERE `variable` = 'shopBuild'", __FILE__, __LINE__);

// Category table
db_query("
	CREATE TABLE IF NOT EXISTS {$db_prefix}shop_categories (
		`id` SMALLINT( 5 ) UNSIGNED NOT NULL  AUTO_INCREMENT,
		`name` VARCHAR( 50 ) NOT NULL ,
		`count` INT UNSIGNED NOT NULL ,
		PRIMARY KEY ( `id` ) 
	)", __FILE__, __LINE__);

// Changed tables
db_query("ALTER TABLE {$db_prefix}shop_items ADD `category` SMALLINT NOT NULL", __FILE__, __LINE__);
db_query("ALTER TABLE {$db_prefix}shop_items ADD `delete_after_use` TINYINT(1) UNSIGNED DEFAULT '1' NOT NULL AFTER `can_use_item`", __FILE__, __LINE__);

// New settings in SMFShop 3.0 (Build 12)
db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`,`value`) VALUES ('shopPointsPerWord', '0')", __FILE__, __LINE__);
db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`,`value`) VALUES ('shopPointsPerChar', '0')", __FILE__, __LINE__);
db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`,`value`) VALUES ('shopPointsLimit', '0')", __FILE__, __LINE__);
db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`,`value`) VALUES ('shopFeeWithdraw', '0')", __FILE__, __LINE__);
db_query("INSERT IGNORE INTO {$db_prefix}settings (`variable`,`value`) VALUES ('shopFeeDeposit', '0')", __FILE__, __LINE__);

// ---------- Insert the permissions --------------
// Initialise the values array. Give the permissions to all ungrouped members (ID_GROUP = 0)
$values = array("
		('shop_main', 0, 1),
		('shop_buy', 0, 1),
		('shop_invother', 0, 1),
		('shop_sendmoney', 0, 1),
		('shop_senditems', 0, 1),
		('shop_bank', 0, 1),
		('shop_trade', 0, 1)");

// Get all the non-postcount based groups.
$request = db_query("
	SELECT ID_GROUP
	FROM {$db_prefix}membergroups
	WHERE minPosts = -1", __FILE__, __LINE__);
while ($row = mysql_fetch_assoc($request))
	// Add this to the values we need
	$values[] = "
		('shop_main', $row[ID_GROUP], 1),
		('shop_buy', $row[ID_GROUP], 1),
		('shop_invother', $row[ID_GROUP], 1),
		('shop_sendmoney', $row[ID_GROUP], 1),
		('shop_senditems', $row[ID_GROUP], 1),
		('shop_bank', $row[ID_GROUP], 1),
		('shop_trade', $row[ID_GROUP], 1)";
		
		
// Give them all their new permission.
db_query("
	INSERT IGNORE INTO {$db_prefix}permissions
		(permission, ID_GROUP, addDeny)
	VALUES
		" . implode(', ', $values), __FILE__, __LINE__);
?>